Bug 63931 - dns failure in postfix
dns failure in postfix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: postfix (Show other bugs)
skipjack-beta1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 03:03 EDT by John Sheahan
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-22 03:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sheahan 2002-04-22 03:03:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
standard installation of postfix runs smtp outgoing in 
a chrooted environment (in /etc/postfix/master.cf)
However the chrooted /var/spool/postfix/etc directory does not 
include resolv.conf, so postfix's dns lookups fail.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure postfix 
2. send mail to the dest machine using smtp
3. run mailq and look for Name service error for bigpond.com: Host not found,
try again
4. copy /etc/resolv.conf to /var/spool/postfix/etc
5. force queue flush with /usr/sbin/postqueue -f
6. run mailq again, check it delivers.
	

Actual Results:  mail does not get delivered remotely, which is nasty.

Additional info:

I run dnscache and iptables firewall on the same box, 
with 2 NIC's.  Its possible that interacts somewhere.
Comment 1 Chris Ricker 2002-06-09 18:59:40 EDT
RHL 7.3 fixes this

Note You need to log in before you can comment on or make changes to this bug.